Bug 816884 - [glusterfs-3.3.0qa39]: if one of the bricks of a volume is down, statedump cannot be taken
[glusterfs-3.3.0qa39]: if one of the bricks of a volume is down, statedump ca...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Raghavendra Bhat
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2012-04-27 04:59 EDT by Raghavendra Bhat
Modified: 2013-07-24 13:40 EDT (History)
2 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:40:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions: glusterfs-3.3.0qa42
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Raghavendra Bhat 2012-04-27 04:59:38 EDT
Description of problem:
Suppose one of the bricks of the volume is down, then statedump of that volume cannot be taken via the cli command.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a volume, start it.
2. Kill one of the bricks
3. Issue gluster volume statedump <volname> command
  
Actual results:

statedumps of the bricks that are running are also not taken.

Expected results:

cli command for statedump should be able to get the statedumps of the bricks that are running.
Additional info:
Comment 1 Anand Avati 2012-05-01 13:25:47 EDT
CHANGE: http://review.gluster.com/3237 (mgmt/glusterd: take the statedumps of running bricks if one of the bricks is down) merged in master by Vijay Bellur (vijay@gluster.com)
Comment 2 Raghavendra Bhat 2012-05-21 05:24:58 EDT
Checked with glusterfs-3.3.0qa42. Now statedump of the existing bricks can be taken.

Note You need to log in before you can comment on or make changes to this bug.